---
create_changeset      : True
debug                 : False
cloudformation_tags   : {}
tag_prefix            : "mcf"

aws_rds_aurora_postgres_name : ""

aws_rds_aurora_postgres_params:
  stack_name      : "{{ slicename }}-data"

  create_changeset: "{{ create_changeset }}"
  debug           : "{{ debug }}"

  database:
    name         : "{{ aws_rds_aurora_postgres_name }}"  # Name of the db scheme created by RDS
    username     : "{{ aws_rds_aurora_postgres_name }}"  # DB scheme user, password will be auto generated and saved in SSM

  rds:
    username     : "root"
    instance_type: "db.t2.small"
    version      : "10.7"
    engine_mode  : "serverless"
    encrypt      : True
    backup_retention_period: 32
    parameter_group_family : "aurora-postgresql10"

    snapshot_name    : ""  # Optional, backup recovery
    source_cluster_id: ""  # Optional, creates read replica
